## ros-galactic-rosbag2-test-common 0.9.2

=== debian/changelog ===
ros-galactic-rosbag2-test-common (0.9.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 26 Sep 2022 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.9.1-1focal) focal; urgency=high

  * [backport galactic] Handle SIGTERM gracefully in recording (#792 <https://github.com/ros2/rosbag2/issues/792>) (#807 <https://github.com/ros2/rosbag2/issues/807>)
    Backport #792 <https://github.com/ros2/rosbag2/issues/792> to galactic
    * Handle SIGTERM gracefully in recording
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 08 Jul 2021 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.9.0-1focal) focal; urgency=high

  * Add play_next() API to the player class (#762 <https://github.com/ros2/rosbag2/issues/762>)
  * use rclcpp::SerializedMessage in MemoryManagement (#750 <https://github.com/ros2/rosbag2/issues/750>)
  * remodel publication manager (#749 <https://github.com/ros2/rosbag2/issues/749>)
  * use public recorder api in tests (#741 <https://github.com/ros2/rosbag2/issues/741>)
  * player owns the reader (#725 <https://github.com/ros2/rosbag2/issues/725>)
  * Contributors: Karsten Knese, Michael Orlov

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.8.0-1focal) focal; urgency=high

  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Fix bad_function_call by replacing rclcpp::spin_some with SingleThreadedExecutor (#705 <https://github.com/ros2/rosbag2/issues/705>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.7.0-1focal) focal; urgency=high

  * Remove temporary directory platform-specific logic from test fixture (#660 <https://github.com/ros2/rosbag2/issues/660>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.6.0-1focal) focal; urgency=high

  * Stabilize test_record by reducing copies of executors and messages (#576 <https://github.com/ros2/rosbag2/issues/576>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-galactic-rosbag2-test-common (0.5.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-galactic-rosbag2-test-common (0.4.0-1focal) focal; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-galactic-rosbag2-test-common (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.3.0-1focal) focal; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.2.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.2.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.2.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.2.5-1focal) focal; urgency=high

  * use serialized message (#386 <https://github.com/ros2/rosbag2/issues/386>)
  * QoS Profile Overrides - Player (#353 <https://github.com/ros2/rosbag2/issues/353>)
  * Intelligently subscribe to topics according to their QoS profiles (#355 <https://github.com/ros2/rosbag2/issues/355>)
  * Override Subscriber QoS - Record (#346 <https://github.com/ros2/rosbag2/issues/346>)
  * fix cyclone tests (#338 <https://github.com/ros2/rosbag2/issues/338>)
  * code style only: wrap after open parenthesis if not in one line (#280 <https://github.com/ros2/rosbag2/issues/280>)
  * Enhance E2E tests in Windows (#278 <https://github.com/ros2/rosbag2/issues/278>)
  * Add splitting e2e tests (#247 <https://github.com/ros2/rosbag2/issues/247>)
  * Make rosbag2 a metapackage (#241 <https://github.com/ros2/rosbag2/issues/241>)
  * make ros tooling working group maintainer (#211 <https://github.com/ros2/rosbag2/issues/211>)
  * Contributors: Anas Abou Allaban, Dirk Thomas, Emerson Knapp, Karsten Knese, Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-rosbag2-test-common (0.2.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-galactic-rosbag2-test-common (0.2.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-galactic-rosbag2-test-common (0.2.2-1focal) focal; urgency=high

  * (API) Generate bagfile metadata in Writer (#184 <https://github.com/ros2/rosbag2/issues/184>)
  * Contributors: Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-galactic-rosbag2-test-common (0.2.1-1focal) focal; urgency=high

  * Disable parameter event publishers on test nodes. (#180 <https://github.com/ros2/rosbag2/issues/180>)
  * Fix API for new Intra-Process communication. (#143 <https://github.com/ros2/rosbag2/issues/143>)
  * Contributors: Alberto Soragna, Dan Rose


