=== debian/control ===
Source: ros-galactic-rosbag2-test-common
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-rclcpp, ros-galactic-rcutils, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosbag2-test-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rclcpp, ros-galactic-rcutils, ros-galactic-ros-workspace
Description: Commonly used test helper classes and fixtures for rosbag2
